Segnare punti inizio e fine

blubossa

Utente Standard
Professione: disegnatore
Software: CREO 2, WF5, SOLIDWORKS 2015, AUTOCAD 2016,
Regione: puglia
#1
ciao a tutti,

selezionando una figura geometrica che potrebbe essere composta di:
polilinee aperte, linee, archi, oopure uuna polilinea chiusa,
vorrei inseire un cerchietto nei punti di inizio e fine di ogni entità.
e che mi facesse un riport a finestra delle entità trovate.

avete qualche suggerimento in merito? grazie.

BB
 

narx

Utente Junior
Professione: .
Software: autocad sw
Regione: veneto
#2
ciao a tutti,

selezionando una figura geometrica che potrebbe essere composta di:
polilinee aperte, linee, archi, oopure uuna polilinea chiusa,
vorrei inseire un cerchietto nei punti di inizio e fine di ogni entità.
e che mi facesse un riport a finestra delle entità trovate.

avete qualche suggerimento in merito? grazie.

BB

Prova vedere se questo ti va bene:
Strumenti>estrai attributi,
E a fine procedura esporti file XLS
 

blubossa

Utente Standard
Professione: disegnatore
Software: CREO 2, WF5, SOLIDWORKS 2015, AUTOCAD 2016,
Regione: puglia
#3
scusami, ma che c'entrano gli attributi con il punto di inizio e fine di una polilinea? arco? linea?

bb
 

rpor66

Utente Standard
Professione: Programmatore
Software: AutoCad, GstarCAD, CadWorx, Excel, Lisp, VBA
Regione: Sicilia
#4
Un piccolo aiuto a quanto vuoi realizzare.
Il file lisp contiene un comando, MarcaSF, delle funzioni, fnP10_P11 è la principale, le altre sono di servizio a questa.

Il comando MarcaSF vuole essere solo da esempio.

Carica il lisp e avvia MarcaSF, seleziona una linea o polilinea o lwpolilinea o arco e questa marcherà l'inizio e la fine dell'entità con dei punti.

Bye
 

Allegati

rpor66

Utente Standard
Professione: Programmatore
Software: AutoCad, GstarCAD, CadWorx, Excel, Lisp, VBA
Regione: Sicilia
#5
Includi anche questo, me ne ero dimenticato:
; Funzione che obbliga a selezionare l'entità. utilizza la funzione entsel.
(defun Sing (Prompt / A)
(while (not (setq A (entsel Prompt))))
(setq A A)
)
 

blubossa

Utente Standard
Professione: disegnatore
Software: CREO 2, WF5, SOLIDWORKS 2015, AUTOCAD 2016,
Regione: puglia
#6
Un piccolo aiuto a quanto vuoi realizzare.
Il file lisp contiene un comando, MarcaSF, delle funzioni, fnP10_P11 è la principale, le altre sono di servizio a questa.

Il comando MarcaSF vuole essere solo da esempio.

Carica il lisp e avvia MarcaSF, seleziona una linea o polilinea o lwpolilinea o arco e questa marcherà l'inizio e la fine dell'entità con dei punti.

Bye
ciao Rpor66,

ho provato ad utilizzare il lisp ma mi va in errore, cerca un'altra funzione.
eccoti l'errore:

errore: no function definition: RPPT


forse hai dimenticato un'altra funzione da allegare?? me la invieresti?

grazie di tutto

BB
 

blubossa

Utente Standard
Professione: disegnatore
Software: CREO 2, WF5, SOLIDWORKS 2015, AUTOCAD 2016,
Regione: puglia
#8
grazie funziona perfettamente........,

sto ampliando la routine che filtra le polilinee aperte e le chiude....

non riesco a riassegnare al codice dxf 70.0 il codice 70.1 per chiudere le polilinee.

mentre se utilizzo (command "_pedit" ename_oggeto "_close" "" "")

non mi funziona nulla...

suggerimenti?

grazie
bb
 

rpor66

Utente Standard
Professione: Programmatore
Software: AutoCad, GstarCAD, CadWorx, Excel, Lisp, VBA
Regione: Sicilia
#9
(command "_pedit" ename_oggeto "close" "" "")

elimina il trattino basso
 

rpor66

Utente Standard
Professione: Programmatore
Software: AutoCad, GstarCAD, CadWorx, Excel, Lisp, VBA
Regione: Sicilia
#12
Carica il lisp se no Sing non funziona.
(command "_pedit" (car (sing "Sel poli: ")) "close" "")
 

blubossa

Utente Standard
Professione: disegnatore
Software: CREO 2, WF5, SOLIDWORKS 2015, AUTOCAD 2016,
Regione: puglia
#13
Digitando il nome completo del comando, se AutoCAD è in italiano, funziona solo con l'underscore, conviene comunque eliminare le ultime due virgolette in quanto non servono.
Piuttosto, siamo sicuri che il nome della poly sia proprio ename_oggeto?

Blu, ti sei dimenticato? http://www.cad3d.it/forum1/showthread.php?t=9096&page=2 :rolleyes:
hai ragione, purtroppo ho avuto problemi con HD ed ho perso un bel po di info, ricordavo di averlo già trattato ma non riuscivo a mettere insieme il tutto.

grazie ancora.....

BB
 

blubossa

Utente Standard
Professione: disegnatore
Software: CREO 2, WF5, SOLIDWORKS 2015, AUTOCAD 2016,
Regione: puglia
#14
Carica il lisp se no Sing non funziona.
(command "_pedit" (car (sing "Sel poli: ")) "close" "")
; Funzione che obbliga a selezionare l'entità. utilizza la funzione entsel.
(DEFUN C:CPLY ()
(command "_pedit" (car (sing "Sel poli: ")) "_close" "")
)

(defun C:SING (Prompt / A)
(while (not (setq A (entsel Prompt))))
(setq A A)
)

mi ritorna a video il popup menu delle opzioni della polilinea, anche se imposto filedia a 0.

c'è qualcosa che sfugge............

premetto che riassegnando il codice 70 a 1 il problema l'ho risolto, ma è solo voglia di capire e controllare meglio altre soluzioni.

un'altra questione
con pdmode scelgo il tipo di punto che voglio utilizzare all'interno del disegno,
ma da codice come posso definire la grandezza del punto? c'è un modo?

grazie

bb
 

GP.

Utente Senior
Professione: Nientologo
Software: uozapp
Regione: Vercelli
#15
Togli il C: davanti a SING....

(defun SING (Prompt / A)
(while (not (setq A (entsel Prompt))))
(setq A A)
)

.....oppure aggiungilo qui:

(DEFUN C:CPLY ()
(command "_pedit" (car (C:sing "Sel poli: ")) "_close" "")
)



con pdmode scelgo il tipo di punto che voglio utilizzare all'interno del disegno,
ma da codice come posso definire la grandezza del punto?
(setvar "PDSIZE" .....
 

blubossa

Utente Standard
Professione: disegnatore
Software: CREO 2, WF5, SOLIDWORKS 2015, AUTOCAD 2016,
Regione: puglia
#16
Togli il C: davanti a SING....

(defun SING (Prompt / A)
(while (not (setq A (entsel Prompt))))
(setq A A)
)

.....oppure aggiungilo qui:

(DEFUN C:CPLY ()
(command "_pedit" (car (C:sing "Sel poli: ")) "_close" "")
)


(setvar "PDSIZE" .....



funzionaaaa..........grazie.

ma per generazione tipo di linea cosa s'intende?
 

blubossa

Utente Standard
Professione: disegnatore
Software: CREO 2, WF5, SOLIDWORKS 2015, AUTOCAD 2016,
Regione: puglia
#18
Corrisponde alla variabile PLINEGEN

"Imposta la modalità di generazione dei modelli di tipo di linea attorno ai vertici di una polilinea 2D"
scusa ho sbagliato domanda.
Volevo chiedere in quale situazione è conveniente settare PLINEGEN 0 / 1??

grazie

BB
 

Riep

Utente poco attivo
Professione: impiegato
Software: Autocad Map 3d
Regione: Veneto
#20
Ciao a tutti scusate se riapro la discussione. Il comando funziona perfettamente ma è possibile applicarlo a a tutte le polilinee presenti nel disegno?

Grazie